/*
 * Dynamic Range Sound definitions
 */

#define MOVESMC_HALT_SOUND soundEnabled=1;\
         soundOverride="halt";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_HALT_SOUND2 soundEnabled=1;\
         soundOverride="halt";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_EQCHANGE_SOUND soundEnabled=1;\
         soundOverride="eqchange";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_EQCHANGE_SOUND2 soundEnabled=1;\
         soundOverride="eqchange";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_CROUCHUP_SOUND soundEnabled=1;\
         soundOverride="crouchup";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_CROUCH_SOUND soundEnabled=1;\
         soundOverride="crouch";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_TAKEFLAG_SOUND soundEnabled=1;\
         soundOverride="takeflag";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_TREAT_SOUND soundEnabled=1;\
         soundOverride="treat";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_INJURED_SOUND soundEnabled=1;\
         soundOverride="injured";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GRENADEBOLT_SOUND soundEnabled=1;\
         soundOverride="grenadebolt";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_METAL_SOUND soundEnabled=1;\
         soundOverride="metal";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_LAYDOWN_SOUND soundEnabled=1;\
         soundOverride="laydown";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GETINARMOUR_SOUND soundEnabled=1;\
         soundOverride="getinarmor";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GETOUTARMOUR_SOUND soundEnabled=1;\
         soundOverride="getoutarmor";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MAN_MOV_ENV_SOUNDS soundEnviron[]={"People\dirt_L",0.00158,1};\
      class SoundEnvironExt\
      {\
         normalExt[]={\
            {"People\dirt_L",0.000045,1},\
            {"People\dirt_R",0.000045,1},\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"People\grass_L",0.00003,1},\
            {"People\grass_R",0.00003,1},\
            {"\i44_sounds\People\rattle11.wss",0.000009,1},\
            {"People\grass_L",0.00003,1},\
            {"People\grass_R",0.00003,1}\
         };\
         normal[]={\
            {"People\dirt_L",0.000045,1},\
            {"People\dirt_R",0.000045,1},\
            {"\i44_sounds\People\rattle1.wss",0.000009,1}};\
         road[]={\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1},\
            {"\i44_sounds\People\rattle1.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1},\
            {"\i44_sounds\People\rattle11",0.0027,1},\
            {"\People\gravel_L",0.000027,1},\
            {"People\gravel_R",0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1}};\
         rock[]={\
            {"\i44_sounds\People\rattle12.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1},\
            {"People\gravel_L",0.000027,1},\
            {"People\gravel_R",0.0027,1},\
            {"\i44_sounds\People\rattle1.wss",0.0027,1},\
            {"People\sand_L",0.000045,1},\
            {"People\sand_R",0.000045,1},\
            {"People\gravel_L",0.0027,1},\
            {"People\gravel_R",0.0027,1},\
            {"\i44_sounds\People\concrete_L.wss",0.0027,1},\
            {"\i44_sounds\People\concrete_R.wss",0.0027,1}};\
         water[]={\
            {"People\water_L",0.000015,1},\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"People\water_R",0.000015,1}};\
         gravel[]={\
            {"People\gravel_L",0.000027,1},\
            {"People\gravel_R",0.000027,1},\
            {"\i44_sounds\People\rattle12.wss",0.000027,1}};\
         sand[]={\
            {"People\sand_L",0.000045,1},\
            {"People\sand_R",0.000045,1},\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"People\gravel_R",0.000045,1},\
            {"People\sand_L",0.000045,1},\
            {"People\sand_R",0.000045,1},\
            {"People\gravel_L",0.00027,1},\
            {"People\gravel_R",0.00027,1},\
            {"People\sand_l",0.00027,1},\
            {"\i44_sounds\People\sandeq4.wss",0.0000045,1},\
            {"People\sand_R",0.000045,1},\
            {"\i44_sounds\People\sandeq2.wss",0.0000045,1},\
            {"People\gravel_l",0.00027,1}};\
         drygrass[]={\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"People\drygrass_L",0.000045,1},\
            {"People\drygrass_R",0.000045,1},\
            {"\i44_sounds\People\rattle7.wss",0.000009,1},\
            {"People\grass_L",0.00003,1},\
            {"People\grass_R",0.00003,1},\
            {"People\forest_L",0.000045,1},\
            {"People\forest_R",0.000045,1},\
            {"\i44_sounds\People\rattle6.wss",0.000009,1},\
            {"People\drygrass_L",0.000045,1},\
            {"People\forest_R",0.000045,1},\
            {"People\drygrass_R",0.000045,1},\
            {"\i44_sounds\People\rattle2.wss",0.000009,1}};\
         grass[]={\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"People\grass_L",0.00003,1},\
            {"People\grass_R",0.00003,1},\
            {"\i44_sounds\People\rattle5.wss",0.000009,1},\
            {"People\drygrass_L",0.000045,1},\
            {"People\drygrass_R",0.000045,1}};\
         forest[]={\
            {"People\forest_L",0.00045,1},\
            {"People\forest_R",0.00045,1},\
            {"\i44_sounds\People\rattle10.wss",0.000009,1},\
            {"People\forest_R",0.00045,1},\
            {"People\grass_L",0.00045,1},\
            {"People\grass_R",0.00045,1},\
            {"People\dirt_L",0.00045,1},\
            {"\i44_sounds\People\twig1.wss",0.000009,1},\
            {"People\dirt_R",0.00045,1},\
            {"People\mud_L",0.00045,1},\
            {"People\mud_R",0.00045,1},\
            {"People\forest_R",0.00045,1},\
            {"People\forest_L",0.00045,1}};\
         mud[]={\
            {"People\mud_L",0.000045,1},\
            {"People\mud_R",0.000045,1},\
            {"People\mud_L",0.000045,1},\
            {"People\mud_R",0.000045,1},\
            {"People\water_L",0.000045,1},\
            {"People\water_R",0.000045,1}};\
         snow[]={\
            {"\i44_sounds\People\foot_snow01.wav",0.0000965,1},\
            {"\i44_sounds\People\foot_snow02.wav",0.0000965,1},\
            {"\i44_sounds\People\rattle10.wss",0.000019,1},\
            {"\i44_sounds\People\foot_snow03.wav",0.0000965,1},\
            {"\i44_sounds\People\foot_snow04.wav",0.0000965,1}};\
         wood[]={\
            {"People\wood_L",0.00045,1},\
            {"People\wood_R",0.00045,1},\
            {"\i44_sounds\People\rattle12.wss",0.000009,1}};\
         metal[]={\
            {"People\metal_L",0.00045,1},\
            {"People\metal_R",0.00045,1},\
            {"\i44_sounds\People\rattle1.wss",0.000015,1}};\
         fallbody[]={\
            {"People\fall_to_ground",0.003,1},\
            {"\i44_sounds\People\dropweapon1.wss",0.003,1},\
            {"\i44_sounds\People\fall1.wss",0.003,1},\
            {"\i44_sounds\People\fall2.wss",0.003,1},\
            {"\i44_sounds\People\dropweapon2.wss",0.003,1}};\
         laydown[]={\
            {"\i44_sounds\People\goprone.wss",0.000045,1}};\
         fastlaydown[]={\
            {"\i44_sounds\People\goprone2.wss",0.000009,1}};\
         standup[]={\
            {"\i44_sounds\People\standup.wss",0.0000045,1}};\
         crawl[]={\
            {"\i44_sounds\People\glide2.wss",0.000009,1}};\
         crouch[]={\
            {"\i44_sounds\People\rattle4.wss",0.000009,1},\
            {"\i44_sounds\People\rattle10.wss",0.000009,1},\
            {"\i44_sounds\People\rattle6.wss",0.000009,1}};\
         crouchup[]={\
            {"\i44_sounds\People\rattle3.wss",0.000009,1},\
            {"\i44_sounds\People\rattle11.wss",0.000009,1},\
            {"\i44_sounds\People\rattle12.wss",0.000009,1}};\
         eqchange[]={\
            {"\i44_sounds\People\eqchange1.wss",0.000009,1},\
            {"\i44_sounds\People\eqchange2.wss",0.000009,2}};\
         grenadebolt[]={\
            {"\i44_sounds\People\grenadethrow.wss",0.000009,1}};\
         halt[]={\
            {"\i44_sounds\People\rattle1.wss",0.000009,1},\
            {"\i44_sounds\People\rattle3.wss",0.000009,1},\
            {"\i44_sounds\People\rattle6.wss",0.000009,1},\
            {"\i44_sounds\People\rattle11.wss",0.000009,1},\
            {"\i44_sounds\People\rattle7.wss",0.000009,1},\
            {"\i44_sounds\People\rattle12.wss",0.000009,1}};\
         chuteopen[]={\
            {"\i44_sounds\People\chuteopen.wss",0.000332,1}};\
         hatch[]={\
            {"\i44_sounds\People\hatch.wss",0.000332,1}};\
         treat[]={\
            {"\i44_sounds\People\medic.wss",0.000332,1}};\
         injured[]={\
            {"\i44_sounds\People\injured.wss",0.000032,1}};\
         getinarmor[]={\
            {"\i44_sounds\People\getinarmor.wss",0.000005,1}};\
         getoutarmor[]={\
            {"\i44_sounds\People\getoutarmor.wss",0.000005,1}};\
         takeflag[]={\
            {"\i44_sounds\People\takeflag.wss",100.000031,1}};\
			Lib_Ustal[]={{"\i44_sounds\effects\ustal",db-40,1}};\
			Lib_Lopata[]={{"\i44_sounds\effects\lopata1",db-40,1},{"\i44_sounds\effects\lopata2",db-40,1},{"\i44_sounds\effects\lopata3",db-40,1}};\
			Lib_Kirka[]={{"\i44_sounds\effects\kirka1",db-40,1},{"\i44_sounds\effects\kirka2",db-40,1},{"\i44_sounds\effects\kirka3",db-40,1}};\
			Lib_Lom[]={{"\i44_sounds\effects\lom1",db-40,1},{"\i44_sounds\effects\lom2",db-40,1},{"\i44_sounds\effects\lom3",db-40,1}};\
			Lib_Gaech[]={{"\i44_sounds\effects\gaech1",db-40,1},{"\i44_sounds\effects\gaech2",db-40,1},{"\i44_sounds\effects\gaech3",db-40,1}};\
			Lib_Kuvalda[]={{"\i44_sounds\effects\kuvalda1",db-40,1},{"\i44_sounds\effects\kuvalda2",db-40,1},{"\i44_sounds\effects\kuvalda3",db-40,1}};\
			Lib_Topor[]={{"\i44_sounds\effects\topor1",db-40,1},{"\i44_sounds\effects\topor2",db-40,1},{"\i44_sounds\effects\topor3",db-40,1}};\
			Lib_Kusachki[]={{"\i44_sounds\effects\Gaech4",db-40,1}};\
      };\
      soundEngine[]={"People\breath",0.0000045,1};\
      additionalSound[]={"\i44_sounds\People\soldiermoving.wss",0.000009,0};
#define CIVILIAN_MOV_ENV_SOUNDS soundEnviron[]={"People\dirt_L",0.000158,1};\
      class SoundEnvironExt\
      {\
         normalExt[]={ {"People\grass_L",0.0000045,1}, {"People\grass_R",0.0000045,1}, {"People\grass_L",0.0000045,1}, {"People\grass_R",0.0000045,1}, {"People\dirt_L",0.0000045,1}, {"People\dirt_R",0.0000045,1}, {"People\grass_R",0.0000045,1} };\
         normal[]={ {"People\dirt_L",0.0000045,1}, {"People\dirt_R",0.0000045,1} };\
         road[]={ {"People\concrete_L",0.0000045,1}, {"People\concrete_R",0.0000045,1}, {"People\concrete_L",0.0000045,1}, {"People\concrete_R",0.0000045,1}, {"People\gravel_L",0.0000045,1}, {"People\gravel_R",0.0000045,1}, {"People\concrete_L",0.0000045,1}, {"People\concrete_R",0.0000045,1} };\
         rock[]={ {"People\concrete_L",0.0000045,1}, {"People\concrete_R",0.0000045,1}, {"People\gravel_L",0.0000045,1}, {"People\gravel_R",0.0000045,1}, {"People\sand_L",0.0000045,1}, {"People\sand_R",0.0000045,1}, {"People\gravel_L",0.0000045,1}, {"People\gravel_R",0.0000045,1}, {"People\concrete_L",0.0000045,1}, {"People\concrete_R",0.0000045,1} };\
         water[]={ {"People\water_L",0.0000045,1}, {"People\water_R",0.0000045,1} };\
         gravel[]={ {"People\gravel_L",0.0000045,1}, {"People\gravel_R",0.0000045,1} };\
         sand[]={ {"People\sand_L",0.0000045,1}, {"People\sand_R",0.0000045,1}, {"People\sand_L",0.0000045,1}, {"People\sand_R",0.0000045,1}, {"People\gravel_L",0.0000045,1}, {"People\gravel_R",0.0000045,1} };\
         drygrass[]={ {"People\drygrass_L",0.0000045,1}, {"People\drygrass_R",0.0000045,1}, {"People\grass_L",0.0000045,1}, {"People\grass_R",0.0000045,1}, {"People\forest_L",0.0000045,1}, {"People\forest_R",0.0000045,1} };\
         grass[]={ {"People\grass_L",0.0000045,1}, {"People\grass_R",0.0000045,1}, {"People\drygrass_L",0.0000045,1}, {"People\drygrass_R",0.0000045,1} };\
         forest[]={ {"People\forest_L",0.0000045,1}, {"People\forest_R",0.0000045,1}, {"People\grass_L",0.0000045,1}, {"People\grass_R",0.0000045,1}, {"People\dirt_L",0.0000045,1}, {"People\dirt_R",0.0000045,1}, {"People\mud_L",0.0000045,1}, {"People\mud_R",0.0000045,1} };\
         mud[]={ {"People\mud_L",0.0000045,1}, {"People\mud_R",0.0000045,1}, {"People\mud_L",0.0000045,1}, {"People\mud_R",0.0000045,1}, {"People\water_L",0.0000045,1}, {"People\water_R",0.0000045,1} };\
         wood[]={ {"People\wood_L",0.0000045,1}, {"People\wood_R",0.0000045,1} };\
         metal[]={ {"People\metal_L",0.0000045,1}, {"People\metal_R",0.0000045,1} };\
         fallbody[]={ {"People\fall_to_ground",0.003,1} };\
         laydown[]={ {"People\down",0.0000045,1} };\
         standup[]={ {"People\up",0.0000045,1} };\
         crawl[]={ {"People\crawl",0.0000045,1} };\
         eqchange[]={ {"\i44_sounds\People\eqchange1.wss",0.000009,1}, {"\i44_sounds\People\eqchange2.wss",0.000009,2} };\
         grenadebolt[]={ {"\i44_sounds\People\grenadethrow.wss",0.0000045,1} };\
         chuteopen[]={ {"\i44_sounds\People\chuteopen.wss",0.00332,1} };\
         hatch[]={ {"\i44_sounds\People\hatch.wss",0.000332,1} };\
         treat[]={ {"\i44_sounds\People\medic.wss",0.000332,1} };\
         injured[]={ {"\i44_sounds\People\injured.wss",0.000032,1} };\
         getinarmor[]={ {"\i44_sounds\People\getinarmor.wss",0.000005,1} };\
         getoutarmor[]={ {"\i44_sounds\People\getoutarmor.wss",0.000005,1} };\
         takeflag[]={ {"\i44_sounds\People\takeflag.wss",100.000031,1} };\
      };\
      soundEngine[]={"People\breath",0.000006,1};\
      additionalSound[]={"\i44_sounds\People\specopssoldiermoving.wss",0.000009,0};

#define WHIZ_SOUND_LEVEL1 db 0
#define WHIZ_SOUND_LEVEL2 db-10
#define FIRE_SOUND_LEVEL db-30
#define FLY_SOUND_LEVEL db-50
#define GENERAL_SPEECH_SOUND_LEVEL db-40
#define GENERAL_SPEECH_SOUND_LEVEL2 db-10
#define GENERAL_SPEECH_SOUND_LEVEL3 db-30
#define GENERAL_SPEECH_SOUND_LEVEL4 db-35
#define GENERAL_SPEECH_SOUND_LEVEL5 db-20
#define GENERAL_SPEECH_SOUND_LEVEL6 db-10
#define CHANT_SOUND_LEVEL db-25