//----------------------------------   +++++++++++++++++++++++++++++++

//----------- Barrels -------------
	class LibBochka1: BarrelBase
	{
		scope = 2;
		model = "\LibO\Barrels\libbochka1.p3d";
		vehicleClass="-Zastava Objects";
		displayName=Barrels #1;
		transportFuel = 200;
	};
	class LibBochka2: LibBochka1
	{
		model = "\LibO\Barrels\libbochka2.p3d";
		displayName=Barrels #2;
		transportFuel = 800;
	};
	class LibBochka3: LibBochka1
	{
		model = "\LibO\Barrels\libbochka3.p3d";
		displayName=Barrels #3;
		transportFuel = 1000;
	};
	class LibBochka4: LibBochka1
	{
		model = "\LibO\Barrels\libbochka4.p3d";
		displayName=Barrels #4;
		transportFuel = 1000;
	};
//-----------------------Misc-----------------------------
	class Taburet1: Chair
	{
		vehicleClass="-Zastava Objects";
		model = "\LibO\misc\Taburet1.p3d";
		displayName=Taboret;
	}
	class Lavka1: Taburet1
	{
		model = "\LibO\misc\Lavka1.p3d";
		displayName="awka";
	}
	class Stol1: Table
	{
		vehicleClass="-Zastava Objects";
		model = "\LibO\misc\Stol1.p3d";
		displayName=St;
	}

//--------------Fortifications----------
	class libMF_HMG: House{
		vehicleClass="-Zastava Objects";

		//icon="\libmod\lib_pictures\iLib_egels1.paa";
		scope = 2;
		model = "\LibO\pillbox\libMF_HMG.p3d"
		displayName = Bunker #1;
		destrType=DestructNo;
		nameSound = "house";
		accuracy = 0.20;
		cost = 0;
		ladders[] = {};
		animated = true;
                class Animations{
			class Dvere1{
				memory=0;
				type="rotation";
				animPeriod=1;
				selection="dvere1";
				axis="osa_dvere1";
				angle0=0;
				angle1=-1.5;
			};
		};
                class UserActions{
			class OpenDoors1{
				displayName = "Close Doors";
				position="osa_dvere1";
				radius=3;
				condition="this animationPhase ""Dvere1"" >= 0.5";
				statement="this animate [""Dvere1"", 0]";
			};
			class CloseDoors1{
				displayName = "Open Doors";
				position="osa_dvere1";
				radius=3;
				condition="this animationPhase ""Dvere1"" < 0.5";
				statement="this animate [""Dvere1"", 1]";
			};
		};
	};
	class LibMF_HMG0: libMF_HMG{
		model = "\LibO\pillbox\libMF_HMG0.p3d"
		displayName = Bunker #1 dark camo;
	}
	class LibMF_HMG2: libMF_HMG{
		model = "\LibO\pillbox\libMF_HMG2.p3d"
		displayName = Bunker #1 light camo;
	};

	class LibML_HMG: libMF_HMG{
		model = "\LibO\pillbox\libML_HMG.p3d"
		displayName = Bunker #2;
	};
	class LibML_HMG0: libMF_HMG{
		model = "\LibO\pillbox\libML_HMG0.p3d"
		displayName = Bunker #2 dark camo;
	};
	class LibML_HMG2: libMF_HMG{
		model = "\LibO\pillbox\libML_HMG2.p3d"
		displayName = Bunker #2 light camo;
	};

	class LibMR_HMG: libMF_HMG{
		model = "\LibO\pillbox\libMR_HMG.p3d"
		displayName = Bunker #3;
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 1.5;
				angle0 = 0;
			};
		};
		class UserActions{
			class OpenDoors1{
				displayName = "Close Doors";
				position = "osa_dvere1";
				radius = 3;
				condition = "this animationPhase ""Dvere1"" >= 0.5";
				statement = "this animate [""Dvere1"", 0]";
			};
			class CloseDoors1{
				displayName = "Open Doors";
				position = "osa_dvere1";
				radius = 3;
				condition = "this animationPhase ""Dvere1"" < 0.5";
				statement = "this animate [""Dvere1"",  1]";
			};
		};
	};
	
	class LibMR_HMG0: libMR_HMG{
		model = "\LibO\pillbox\libMR_HMG0.p3d"
		displayName = Bunker #3 dark camo;
	};
	class LibMR_HMG2: libMR_HMG{
		model = "\LibO\pillbox\libMR_HMG2.p3d"
		displayName = Bunker #3 light camo;
	};
	class LibMF_PK4B: libMF_HMG
	{
		model = "\LibO\pillbox\libMF_PK4B.p3d"
		displayName = Gun Bunker #1;
	};
	class LibML_PK4B: libMF_HMG
	{
		model = "\LibO\pillbox\libML_PK4B.p3d"
		displayName = Gun Bunker #2;	
	};
	class LibMR_PK4B: libMF_HMG
	{
		model = "\LibO\pillbox\libMR_PK4B.p3d"
		displayName = Gun Bunker #3;
	};


	class obs_libMF_HMG: House
	{
		vehicleClass="-Zastava Objects";
		scope = 2;
		model = "\LibO\pillbox\libdt1_e1.p3d"
		displayName = dug-out for bunker #1;
		destrType=DestructNo;
		nameSound = "house";
		accuracy = 0.20;
		cost = 0;
		ladders[] = {};
	};

	class obs_ML_HMG: obs_libMF_HMG
	{
		model = "\LibO\pillbox\libML_HMG_e1.p3d"
		displayName = dug-out for bunker #2;
	};
	class obs_MR_HMG: obs_libMF_HMG
	{
		model = "\LibO\pillbox\libMR_HMG_e1.p3d"
		displayName = dug-out for bunker #3;
	};
//-------------- CHouse -------------
	class LibCHouse1: House
	{
		vehicleClass="-Zastava Objects";

		//icon="\libmod\lib_pictures\iLib_egels1.paa";
		animated = false;
		scope = 2;
		model = "\LibO\CHouse\LibCHouse1.p3d"
		displayName = House #1;
		nameSound = "house";
		accuracy = 0.20;
		cost = 0;
		armor=150;
		ladders[] = {};
	};
	class LibCHouse2: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse2.p3d"
		displayName = House #2;
	};
	class LibCHouse3: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse3.p3d"
		displayName = House #3;
	};
	class LibCHouse3_in: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse3_in.p3d"
		displayName = House #3 Interior;
		animated = true;
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = 1.84;
			};
		};
		class UserActions{
			class OpenDoors1{
				displayName = "Open Doors";
				position = "osa_dvere1";
				radius = 2;
				condition = "this animationPhase ""Dvere1"" >= 0.5";
				statement = "this animate [""Dvere1"", 0]";
			};
			class CloseDoors1{
				displayName = "Close Doors";
				position = "osa_dvere1";
				radius = 2;
				condition = "this animationPhase ""Dvere1"" < 0.5";
				statement = "this animate [""Dvere1"",  1]";
			};
		};
	};
	class LibCHouse6: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse6.p3d"
		displayName = House #6;
	};
	class LibCHouse6_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse6_in.p3d"
		displayName = House #6 Interior;
		ladders[] = {{"start","end"}};
	};
	class LibCHouse7: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse7.p3d"
		displayName = House #7;
	};
	class LibCHouse7_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse7_in.p3d"
		displayName = House #7 Interior;
		ladders[] = {{"start","end"}};
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = -1.5;
			};
		};
	};
	class LibCHouse8: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse8.p3d"
		displayName = House #8;
	};
	class LibCHouse8_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse8_in.p3d"
		displayName = House #8 Interior;
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = -1.4;
			};
		};
	};
	class LibCHouse9: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse9.p3d"
		displayName = House #9;
		ladders[] = {{"start","end"}};
	};
	class LibCHouse9_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse9_in.p3d"
		displayName = House #9 Interior;
		ladders[] = {{"start","end"}};
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = 1.5;
			};
		};
	};
	class LibCHouse11: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse11.p3d"
		displayName = House #11;
		ladders[] = {{"start","end"}};
	};
	class LibCHouse11_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse11_in.p3d"
		displayName = House #11 Interior;
		ladders[] = {{"start","end"}};
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = 1.5;
			};
		};
	};
	class LibCHouse12: LibCHouse1
	{
		model = "\LibO\CHouse\LibCHouse12.p3d"
		displayName = House #12;
		ladders[] = {{"start","end"}};
	};
	class LibCHouse12_in: LibCHouse3_in
	{
		model = "\LibO\CHouse\LibCHouse12_in.p3d"
		displayName = House #12 Interior;
		ladders[] = {{"start","end"}};
	};

//-------------- Misc -------------
	class LibSar4: LibCHouse1
	{
		model = "\LibO\Misc\LibSar4.p3d"
		displayName = Szopa #14;
		armor=100;
		destrType=DestructTent;
	};
	class LibSar4_in: LibSar4
	{
		model = "\LibO\Misc\LibSar4_in.p3d"
		displayName = Szopa #4 Interior;
	};
	class LibSar10: LibSar4
	{
		model = "\LibO\Misc\LibSar10.p3d"
		displayName = Szopa #10;
	};
	class LibSar10_in: LibSar4
	{
		model = "\LibO\Misc\LibSar10_in.p3d"
		displayName = Szopa #10 Interior;
		animated = true;
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle1 = 0;
				angle0 = 1.84;
			};
			class Dvere2{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere2";
				axis = "osa_dvere2";
				angle1 = 0;
				angle0 = -1.84;
			};
		};
		class UserActions{
			class OpenDoors1{
				displayName = "Open door 1";
				position = "osa_dvere1";
				radius = 2;
				condition = "this animationPhase ""Dvere1"" >= 0.5";
				statement = "this animate [""Dvere1"", 0]";
			};
			class CloseDoors1{
				displayName = "Close door 1";
				position = "osa_dvere1";
				radius = 2;
				condition = "this animationPhase ""Dvere1"" < 0.5";
				statement = "this animate [""Dvere1"",  1]";
			};
			class OpenDoors2{
				displayName = "Open door 2";
				position = "osa_dvere2";
				radius = 2;
				condition = "this animationPhase ""Dvere2"" >= 0.5";
				statement = "this animate [""Dvere2"", 0]";
			};
			class CloseDoors2{
				displayName = "Close door 2";
				position = "osa_dvere2";
				radius = 2;
				condition = "this animationPhase ""Dvere2"" < 0.5";
				statement = "this animate [""Dvere2"",  1]";
			};
		};
	};
	class LibStog1: LibSar4
	{
		model = "\LibO\Misc\LibStog1.p3d"
		displayName = Stg siana #1;
	};
	class LibStog2: LibSar4
	{
		model = "\LibO\Misc\LibStog2.p3d"
		displayName = Stg siana #2;
	};
	class LibMelneza1: LibCHouse1
	{
		armor=100;
		model = "\LibO\Misc\LibMelneza1.p3d"
		displayName = Windmill;
		ladders[]={{"start","end"}};
		class EventHandlers
		{
			Init="_This Exec {Windmill.sqs}";	
		};
		animated = true;
		class Animations
		{
			class fan
			{
				type="rotation";
				animPeriod=20000
				selection="fan";
				axis="osa_fan";
				angle0=0
				angle1=50000;
			};
		};
	};
//------------------ZObjects-------------------------
	class LibCzesterna1: LibCHouse1
	{
		model = "\LibO\ZObjects\libczesterna1.p3d"
		displayName = Beczka;
		ladders[]={{"start","end"}};
	};
	class LibZedor1: LibSar4
	{
		model = "\LibO\ZObjects\LibZedor1.p3d"
		displayName = Dworzec kolejowy #1;
	};
	class LibZedor2: LibCHouse1
	{
		model = "\LibO\ZObjects\LibZedor2.p3d"
		displayName = Dworzec kolejowy #2;
		ladders[]={{"start","end"}};
	};
	class LibZedor4: LibCHouse1
	{
		model = "\LibO\ZObjects\LibZedor4.p3d"
		displayName = Dworzec kolejowy #3;
	};
//-------------- Roads -------------
//-------------- THouse -------------
	class LibDomZdr1: LibCHouse1
	{
		armor=200;
		model = "\LibO\THouse\LibDomZdr1.p3d"
		displayName = House2 #1;
	};
	class LibTDom1: LibDomZdr1
	{
		model = "\LibO\THouse\LibTDom1.p3d"
		displayName = House2 #2;
	};
	class LibTDom12: LibDomZdr1
	{
		model = "\LibO\THouse\LibTDom12.p3d"
		displayName = House2 #3;
	};
	class LibTDom16: LibDomZdr1
	{
		model = "\LibO\THouse\LibTDom16.p3d"
		displayName = House2 #4;
		animated = true;
		class Animations{
			class Dvere1{
				memory = 0;
				type = "rotation";
				animPeriod = 1;
				selection = "dvere1";
				axis = "osa_dvere1";
				angle0 = 0;
				angle1 = 1.84;
			};
		};
		class UserActions{
			class OpenDoors1{
				displayName = "Open Doors";
				position = "osa_dvere1";
				radius = 3;
				condition = "this animationPhase ""Dvere1"" >= 0.5";
				statement = "this animate [""Dvere1"", 0]";
			};
			class CloseDoors1{
				displayName = "Close Doors";
				position = "osa_dvere1";
				radius = 3;
				condition = "this animationPhase ""Dvere1"" < 0.5";
				statement = "this animate [""Dvere1"",  1]";
			};
		};
	};
	class LibTDom20: LibDomZdr1
	{
		armor=150;
		model = "\LibO\THouse\LibTDom20.p3d"
		displayName = House2 #5;
	};
	class LibZerkov1: Church
	{
		vehicleClass="-Zastava Objects";
		scope=2;
		model="\LibO\THouse\LibZerkov.p3d";
		displayName = Cerkiew;

		//icon="\libmod\lib_pictures\iLib_egels1.paa";
		animated = false;
		nameSound = "house";
		accuracy = 0.20;
		cost = 0;
		armor=200;
		ladders[] = {};
	};
//-------------- CFences -------------

	class Lib_egels: Fence
	{
		scope=2
		vehicleClass="-Zastava Objects";
		model="\libmod\lib_models\Lib_egels.p3d";

		displayName="$STR_DN_LIBEGELS";
		accuracy=0.3;
		mapSize=0.8;

		armor=15000;
		armorStructural=2.0;
	//	destrType="Tent";

		icon="\libmod\lib_pictures\iLib_egels1.paa";

	};
	class lib_Fence: fence
	{			
		destrType=DestructBuilding;
		class EventHandlers
		{
       			init = "[_this select 0] exec {fence.sqs}";  
		};
	};

	class lib_FenceWood : FenceWood
	{
		destrType=DestructBuilding;
		class EventHandlers
		{
       			init = "[_this select 0] exec {fence.sqs}";  
		};
	};
	class lib_Fence1: WireFence
	{
		scope=2;
		vehicleClass="-Zastava Objects";
		side=TCivilian;
		cost=100;
		mapSize=1;
		destrType=destructtree;
		displayName="BarbedChainlink 1";
		model=pletivo_wired;
	};
	class lib_Fence2: lib_Fence1
	{
		displayName="BarbedChainlink 2";
		model=pletivo_wired_branaL;
	};
	class lib_Fence3: lib_Fence1
	{
		displayName="BarbedChainlink 3";
		model=pletivo_wired_branaP;
	};

	class lib_Fence4: lib_Fence1
	{
		displayName="SteelGate Closed";
		model=plot_green_branka;
	};
	class lib_Fence5: lib_Fence1
	{
		displayName="SteelGate Closed 2";
		model=plot_green_vrata;
	};
	class lib_Fence6: lib_Fence1
	{
		displayName="SteelFence Open";
		model=plot_green_vrat_r;
	};
	class lib_Fence7: lib_Fence1
	{
		displayName="ConcreteGate Closed";
		model=Statek_brana;
	};
	class lib_Fence8: lib_Fence1
	{
		displayName="SteelGate Open 2";
		model=plot_green_vrat_o;
	};
	class lib_Fence9: lib_Fence1
	{
		displayName="SteelGate Open";
		model=plot_green_brank_o;
	};
	class lib_Fence10: lib_Fence1
	{
		displayName="Wood fence 1";
		model=\libo\cfences\libczabor1;
	};
	class lib_Fence11: lib_Fence1
	{
		displayName="Wood fence 1 (pole)";
		model=\libo\cfences\libczabor1_2;
	};
	class lib_Fence12: lib_Fence1
	{
		displayName="Wood fence 1 (break)";
		model=\libo\cfences\libczabor1_3;
	};
	class lib_Fence13: lib_Fence1
	{
		displayName="Wood fence 1 (gate open)";
		model=\libo\cfences\libczabor1_4;
	};
	class lib_Fence14: lib_Fence1
	{
		displayName="Wood fence 2";
		model=\libo\cfences\libczabor5;
	};
	class lib_Fence15: lib_Fence1
	{
		displayName="Wood fence 2 (pole)";
		model=\libo\cfences\libczabor5_2;
	};
	class lib_Fence16: lib_Fence1
	{
		displayName="Wood fence 2 (gate open)";
		model=\libo\cfences\libczabor1_4;
	};

	class lib_Fence17: lib_Fence1
	{
		displayName="Wood fence 3";
		model=\libo\cfences\libczabor5_L2;
	};
	class lib_Fence18: lib_Fence1
	{
		displayName="Wood fence 4";
		model=\libo\cfences\libczabor6;
	};
	class lib_Fence19: lib_Fence1
	{
		displayName="Wood fence 4";
		model=\libo\cfences\libczabor6_1;
	};

	class lib_Fence20: lib_Fence1
	{
		displayName="Wood fence 5";
		model=\libo\cfences\libczabor7;
	};
	class lib_Fence21: lib_Fence1
	{
		displayName="Wood fence 5 (pole)";
		model=\libo\cfences\libczabor7_1;
	};
	class lib_Fence22: lib_Fence1
	{
		displayName="Wood fence 5 (break 1)";
		model=\libo\cfences\libczabor7_2;
	};
	class lib_Fence23: lib_Fence1
	{
		displayName="Wood fence 5 (break 2)";
		model=\libo\cfences\libczabor7_3;
	};
	class lib_Fence24: lib_Fence1
	{
		displayName="Wood fence 5 (gate open 1)";
		model=\libo\cfences\libczabor7_4;
	};
	class lib_Fence25: lib_Fence1
	{
		displayName="Wood fence 5 (gate open 2)";
		model=\libo\cfences\libczabor7_4_1;
	};
	class lib_Fence26: lib_Fence1
	{
		displayName="Wood fence 5 (gate close)";
		model=\libo\cfences\libczabor7_4_2;
	};
	class lib_Fence27: lib_Fence1
	{
		displayName="Wood fence 6";
		model=\libo\cfences\libczabor7_L2;
	};
	class lib_Fence28: lib_Fence1
	{
		displayName="Wood fence 6 (gate open)";
		model=\libo\cfences\libczabor7_4a;
	};
	class lib_Fence29: lib_Fence1
	{
		displayName="Wood fence 6 (gate close)";
		model=\libo\cfences\libczabor7_4a2;
	};


     	class lib_railroad1: House
     	{
		vehicleClass="-Zastava Objects";
		scope=2;
         	mapSize=1;
         	icon="unknown_move";
		displayName="Railroad25";
		model=\lib_railroad\railroad25.p3d;
	};
     	class lib_railroad2: lib_railroad1
     	{

		displayName="Railroad100";
		model=\lib_railroad\railroad10.p3d;
	};
     	class lib_railroad3: lib_railroad1
     	{

		displayName="Railroad100";
		model=\lib_railroad\railroad350.p3d;
	};
     	class strelka1: lib_railroad1
     	{

		displayName="Strelka (right)";
		model=\lib_railroad\strelkaR.p3d;
	};