/*
 * Dynamic Range Sound definitions
 */

#define MOVESMC_HALT_SOUND soundEnabled=1;\
         soundOverride="halt";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_HALT_SOUND2 soundEnabled=1;\
         soundOverride="halt";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_EQCHANGE_SOUND soundEnabled=1;\
         soundOverride="eqchange";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_EQCHANGE_SOUND2 soundEnabled=1;\
         soundOverride="eqchange";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_CROUCHUP_SOUND soundEnabled=1;\
         soundOverride="crouchup";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_CROUCH_SOUND soundEnabled=1;\
         soundOverride="crouch";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_TAKEFLAG_SOUND soundEnabled=1;\
         soundOverride="takeflag";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_TREAT_SOUND soundEnabled=1;\
         soundOverride="treat";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_INJURED_SOUND soundEnabled=1;\
         soundOverride="injured";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GRENADEBOLT_SOUND soundEnabled=1;\
         soundOverride="grenadebolt";\
         soundEdge1=0.01;\
         soundEdge2=0.01;
#define MOVESMC_METAL_SOUND soundEnabled=1;\
         soundOverride="metal";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_LAYDOWN_SOUND soundEnabled=1;\
         soundOverride="laydown";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GETINARMOUR_SOUND soundEnabled=1;\
         soundOverride="getinarmor";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MOVESMC_GETOUTARMOUR_SOUND soundEnabled=1;\
         soundOverride="getoutarmor";\
         soundEdge1=0.1;\
         soundEdge2=0.1;
#define MAN_MOV_ENV_SOUNDS soundEnviron[]={"People\dirt_L",1600*0.000158,1};\
      class SoundEnvironExt\
      {\
         normalExt[]={\
            {"People\dirt_L",1600*0.0000045,1},\
            {"People\dirt_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1},\
            {"People\grass_L",1600*0.000003,1},\
            {"People\grass_R",1600*0.000003,1},\
            {"\i44_sounds\People\rattle11.wss",1600*0.000009,1},\
            {"People\grass_L",1600*0.000003,1},\
            {"People\grass_R",1600*0.000003,1}\
         };\
         normal[]={\
            {"People\dirt_L",1600*0.0000045,1},\
            {"People\dirt_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1}};\
         road[]={\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1},\
            {"\i44_sounds\People\rattle11",1600*0.000027,1},\
            {"\People\gravel_L",1600*0.000027,1},\
            {"People\gravel_R",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1}};\
         rock[]={\
            {"\i44_sounds\People\rattle12.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1},\
            {"People\gravel_L",1600*0.0000027,1},\
            {"People\gravel_R",1600*0.000027,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000027,1},\
            {"People\sand_L",1600*0.0000045,1},\
            {"People\sand_R",1600*0.0000045,1},\
            {"People\gravel_L",1600*0.000027,1},\
            {"People\gravel_R",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_L.wss",1600*0.000027,1},\
            {"\i44_sounds\People\concrete_R.wss",1600*0.000027,1}};\
         water[]={\
            {"People\water_L",1600*0.000015,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1},\
            {"People\water_R",1600*0.000015,1}};\
         gravel[]={\
            {"People\gravel_L",1600*0.000027,1},\
            {"People\gravel_R",1600*0.000027,1},\
            {"\i44_sounds\People\rattle12.wss",1600*0.000027,1}};\
         sand[]={\
            {"People\sand_L",1600*0.0000045,1},\
            {"People\sand_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1},\
            {"People\gravel_R",1600*0.0000045,1},\
            {"People\sand_L",1600*0.0000045,1},\
            {"People\sand_R",1600*0.0000045,1},\
            {"People\gravel_L",1600*0.000027,1},\
            {"People\gravel_R",1600*0.000027,1},\
            {"People\sand_l",1600*0.000027,1},\
            {"\i44_sounds\People\sandeq4.wss",1600*0.0000045,1},\
            {"People\sand_R",1600*0.0000045,1},\
            {"\i44_sounds\People\sandeq2.wss",1600*0.0000045,1},\
            {"People\gravel_l",1600*0.000027,1}};\
         drygrass[]={\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1},\
            {"People\drygrass_L",1600*0.0000045,1},\
            {"People\drygrass_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle7.wss",1600*0.000009,1},\
            {"People\grass_L",1600*0.000003,1},\
            {"People\grass_R",1600*0.000003,1},\
            {"People\forest_L",1600*0.0000045,1},\
            {"People\forest_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle6.wss",1600*0.000009,1},\
            {"People\drygrass_L",1600*0.0000045,1},\
            {"People\forest_R",1600*0.0000045,1},\
            {"People\drygrass_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle2.wss",1600*0.000009,1}};\
         grass[]={\
            {"\i44_sounds\People\rattle1.wss",1600*0.000009,1},\
            {"People\grass_L",1600*0.000003,1},\
            {"People\grass_R",1600*0.000003,1},\
            {"\i44_sounds\People\rattle5.wss",1600*0.000009,1},\
            {"People\drygrass_L",1600*0.0000045,1},\
            {"People\drygrass_R",1600*0.0000045,1}};\
         forest[]={\
            {"People\forest_L",1600*0.0000045,1},\
            {"People\forest_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle10.wss",1600*0.000009,1},\
            {"People\forest_R",1600*0.0000045,1},\
            {"People\grass_L",1600*0.0000045,1},\
            {"People\grass_R",1600*0.0000045,1},\
            {"People\dirt_L",1600*0.0000045,1},\
            {"\i44_sounds\People\twig1.wss",1600*0.000009,1},\
            {"People\dirt_R",1600*0.0000045,1},\
            {"People\mud_L",1600*0.0000045,1},\
            {"People\mud_R",1600*0.0000045,1},\
            {"People\forest_R",1600*0.0000045,1},\
            {"People\forest_L",1600*0.0000045,1}};\
         mud[]={\
            {"People\mud_L",1600*0.0000045,1},\
            {"People\mud_R",1600*0.0000045,1},\
            {"People\mud_L",1600*0.0000045,1},\
            {"People\mud_R",1600*0.0000045,1},\
            {"People\water_L",1600*0.0000045,1},\
            {"People\water_R",1600*0.0000045,1}};\
         snow[]={\
            {"\i44_sounds\People\foot_snow01.wav",0.0000965,1},\
            {"\i44_sounds\People\foot_snow02.wav",0.0000965,1},\
            {"\i44_sounds\People\rattle10.wss",0.000019,1},\
            {"\i44_sounds\People\foot_snow03.wav",0.0000965,1},\
            {"\i44_sounds\People\foot_snow04.wav",0.0000965,1}};\
         wood[]={\
            {"People\wood_L",1600*0.0000045,1},\
            {"People\wood_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle12.wss",1600*0.000009,1}};\
         metal[]={\
            {"People\metal_L",1600*0.0000045,1},\
            {"People\metal_R",1600*0.0000045,1},\
            {"\i44_sounds\People\rattle1.wss",1600*0.000015,1}};\
         fallbody[]={\
            {"People\fall_to_ground",1600*0.003,1},\
            {"\i44_sounds\People\dropweapon1.wss",1600*0.003,1},\
            {"\i44_sounds\People\fall1.wss",1600*0.003,1},\
            {"\i44_sounds\People\fall2.wss",1600*0.003,1},\
            {"\i44_sounds\People\dropweapon2.wss",1600*0.003,1}};\
         laydown[]={\
            {"\i44_sounds\People\goprone.wss",1600*0.000045,1}};\
         fastlaydown[]={\
            {"\i44_sounds\People\goprone2.wss",1600*0.000009,1}};\
         standup[]={\
            {"\i44_sounds\People\standup.wss",1600*0.0000045,1}};\
         crawl[]={\
            {"\i44_sounds\People\glide2.wss",1600*0.000009,1}};\
         crouch[]={\
            {"\i44_sounds\People\rattle4.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle10.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle6.wss",700*0.000009,1}};\
         crouchup[]={\
            {"\i44_sounds\People\rattle3.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle11.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle12.wss",700*0.000009,1}};\
         eqchange[]={\
            {"\i44_sounds\People\eqchange1.wss",700*0.000009,1},\
            {"\i44_sounds\People\eqchange2.wss",700*0.000009,2}};\
         grenadebolt[]={\
            {"\i44_sounds\People\grenadethrow.wss",700*0.000009,1}};\
         halt[]={\
            {"\i44_sounds\People\rattle1.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle3.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle6.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle11.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle7.wss",700*0.000009,1},\
            {"\i44_sounds\People\rattle12.wss",700*0.000009,1}};\
         chuteopen[]={\
            {"\i44_sounds\People\chuteopen.wss",1600*0.000332,1}};\
         hatch[]={\
            {"\i44_sounds\People\hatch.wss",1600*0.000332,1}};\
         treat[]={\
            {"\i44_sounds\People\medic.wss",1600*0.000332,1}};\
         injured[]={\
            {"\i44_sounds\People\injured.wss",1600*0.000032,1}};\
         getinarmor[]={\
            {"\i44_sounds\People\getinarmor.wss",1600*0.000005,1}};\
         getoutarmor[]={\
            {"\i44_sounds\People\getoutarmor.wss",1600*0.000005,1}};\
         takeflag[]={\
            {"\i44_sounds\People\takeflag.wss",100.000031,1}};\
			Lib_Ustal[]={{"\i44_sounds\effects\ustal",db-40,1}};\
			Lib_Lopata[]={{"\i44_sounds\effects\lopata1",db-40,1},{"\i44_sounds\effects\lopata2",db-40,1},{"\i44_sounds\effects\lopata3",db-40,1}};\
			Lib_Kirka[]={{"\i44_sounds\effects\kirka1",db-40,1},{"\i44_sounds\effects\kirka2",db-40,1},{"\i44_sounds\effects\kirka3",db-40,1}};\
			Lib_Lom[]={{"\i44_sounds\effects\lom1",db-40,1},{"\i44_sounds\effects\lom2",db-40,1},{"\i44_sounds\effects\lom3",db-40,1}};\
			Lib_Gaech[]={{"\i44_sounds\effects\gaech1",db-40,1},{"\i44_sounds\effects\gaech2",db-40,1},{"\i44_sounds\effects\gaech3",db-40,1}};\
			Lib_Kuvalda[]={{"\i44_sounds\effects\kuvalda1",db-40,1},{"\i44_sounds\effects\kuvalda2",db-40,1},{"\i44_sounds\effects\kuvalda3",db-40,1}};\
			Lib_Topor[]={{"\i44_sounds\effects\topor1",db-40,1},{"\i44_sounds\effects\topor2",db-40,1},{"\i44_sounds\effects\topor3",db-40,1}};\
			Lib_Kusachki[]={{"\i44_sounds\effects\Gaech4",db-40,1}};\
      };\
      soundEngine[]={"People\breath",100*0.0000045,1};\
      additionalSound[]={"\i44_sounds\People\soldiermoving.wss",100*0.000009,0};
#define CIVILIAN_MOV_ENV_SOUNDS soundEnviron[]={"People\dirt_L",1600*0.000158,1};\
      class SoundEnvironExt\
      {\
         normalExt[]={ {"People\grass_L",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1}, {"People\grass_L",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1}, {"People\dirt_L",1600*0.0000045,1}, {"People\dirt_R",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1} };\
         normal[]={ {"People\dirt_L",1600*0.0000045,1}, {"People\dirt_R",1600*0.0000045,1} };\
         road[]={ {"People\concrete_L",1600*0.0000045,1}, {"People\concrete_R",1600*0.0000045,1}, {"People\concrete_L",1600*0.0000045,1}, {"People\concrete_R",1600*0.0000045,1}, {"People\gravel_L",1600*0.0000045,1}, {"People\gravel_R",1600*0.0000045,1}, {"People\concrete_L",1600*0.0000045,1}, {"People\concrete_R",1600*0.0000045,1} };\
         rock[]={ {"People\concrete_L",1600*0.0000045,1}, {"People\concrete_R",1600*0.0000045,1}, {"People\gravel_L",1600*0.0000045,1}, {"People\gravel_R",1600*0.0000045,1}, {"People\sand_L",1600*0.0000045,1}, {"People\sand_R",1600*0.0000045,1}, {"People\gravel_L",1600*0.0000045,1}, {"People\gravel_R",1600*0.0000045,1}, {"People\concrete_L",1600*0.0000045,1}, {"People\concrete_R",1600*0.0000045,1} };\
         water[]={ {"People\water_L",1600*0.0000045,1}, {"People\water_R",1600*0.0000045,1} };\
         gravel[]={ {"People\gravel_L",1600*0.0000045,1}, {"People\gravel_R",1600*0.0000045,1} };\
         sand[]={ {"People\sand_L",1600*0.0000045,1}, {"People\sand_R",1600*0.0000045,1}, {"People\sand_L",1600*0.0000045,1}, {"People\sand_R",1600*0.0000045,1}, {"People\gravel_L",1600*0.0000045,1}, {"People\gravel_R",1600*0.0000045,1} };\
         drygrass[]={ {"People\drygrass_L",1600*0.0000045,1}, {"People\drygrass_R",1600*0.0000045,1}, {"People\grass_L",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1}, {"People\forest_L",1600*0.0000045,1}, {"People\forest_R",1600*0.0000045,1} };\
         grass[]={ {"People\grass_L",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1}, {"People\drygrass_L",1600*0.0000045,1}, {"People\drygrass_R",1600*0.0000045,1} };\
         forest[]={ {"People\forest_L",1600*0.0000045,1}, {"People\forest_R",1600*0.0000045,1}, {"People\grass_L",1600*0.0000045,1}, {"People\grass_R",1600*0.0000045,1}, {"People\dirt_L",1600*0.0000045,1}, {"People\dirt_R",1600*0.0000045,1}, {"People\mud_L",1600*0.0000045,1}, {"People\mud_R",1600*0.0000045,1} };\
         mud[]={ {"People\mud_L",1600*0.0000045,1}, {"People\mud_R",1600*0.0000045,1}, {"People\mud_L",1600*0.0000045,1}, {"People\mud_R",1600*0.0000045,1}, {"People\water_L",1600*0.0000045,1}, {"People\water_R",1600*0.0000045,1} };\
         wood[]={ {"People\wood_L",1600*0.0000045,1}, {"People\wood_R",1600*0.0000045,1} };\
         metal[]={ {"People\metal_L",1600*0.0000045,1}, {"People\metal_R",1600*0.0000045,1} };\
         fallbody[]={ {"People\fall_to_ground",1600*0.003,1} };\
         laydown[]={ {"People\down",1600*0.0000045,1} };\
         standup[]={ {"People\up",1600*0.0000045,1} };\
         crawl[]={ {"People\crawl",1600*0.0000045,1} };\
         eqchange[]={ {"\i44_sounds\People\eqchange1.wss",1600*0.000009,1}, {"\i44_sounds\People\eqchange2.wss",1600*0.000009,2} };\
         grenadebolt[]={ {"\i44_sounds\People\grenadethrow.wss",1600*0.0000045,1} };\
         chuteopen[]={ {"\i44_sounds\People\chuteopen.wss",1600*0.00332,1} };\
         hatch[]={ {"\i44_sounds\People\hatch.wss",1600*0.000332,1} };\
         treat[]={ {"\i44_sounds\People\medic.wss",1600*0.000332,1} };\
         injured[]={ {"\i44_sounds\People\injured.wss",1600*0.000032,1} };\
         getinarmor[]={ {"\i44_sounds\People\getinarmor.wss",1600*0.000005,1} };\
         getoutarmor[]={ {"\i44_sounds\People\getoutarmor.wss",1600*0.000005,1} };\
         takeflag[]={ {"\i44_sounds\People\takeflag.wss",100.000031,1} };\
      };\
      soundEngine[]={"People\breath",1600*0.000006,1};\
      additionalSound[]={"\i44_sounds\People\specopssoldiermoving.wss",1600*0.000009,0};
#define SFX_PREVIEW effect[]={"ECP_DR_extra_sound_3\M16single.wss",1.000000,1.000000};\
      speech[]={"DynamicRange\Objects\GreenBerets.ogg",1.000000,1.000000};\
      music[]={"DynamicRange\Objects\gsg9theme.ogg",1.000000,1.000000};
#define SFX_SOUNDS_LIST sounds[]={"StreamSfx","AlarmSfx","Cricket1Sfx","Cricket2Sfx","Cricket3Sfx","CricketSfx","FrogSfx","FrogsSfx","OwlSfx","CowSfx","DogSfx","SorrowDogSfx","BadDogSfx","LittleDogSfx","BirdSingingSfx","CockSfx","ChickenSfx","FunMusicSfx","WolfSfx","CrowSfx","SeagullSfx","HedgeSparrow","Skylark","ForestLark","Nightingale","Jay","Owl","Crow2","Frog2","CA_AK","CA_M16","CA_Expl1"};
#define SFX_CA_AK_SOUNDS sound1[]={"\ECP_DR_extra_sound_3\AK74single.wss",1600*0.100000,1,0.500000,0,2,5};\
      sound2[]={"\ECP_DR_extra_sound_3\AK74burst.wss",1600*0.100000,1,0.400000,0,1,10};
#define SFX_CA_M16_SOUNDS sound1[]={"\ECP_DR_extra_sound_3\M16single.wss",1600*0.100000,1,0.500000,0,2,5};\
      sound2[]={"\ECP_DR_extra_sound_3\M16burst.wss",1600*0.100000,1,0.400000,0,1,10};
#define SFX_CA_EXPL1_SOUND sound1[]={"\i44_sounds\weapons\explosion_large1.wss",1600*0.100000,1,0.500000,0,2,5};
#define ENV_SOUNDS_LIST sounds[]={"Default","Rain","Sea","Meadows","Trees","Hills","Combat"};
#define ENV_SOUNDS_RAIN sound[]={"\i44_sounds\Environmental\Rain.wss",1600*0.007778,1};\
      soundNight[]={"\i44_sounds\Environmental\Rain.wss",1600*0.007778,1};
#define ENV_SOUNDS_HILLS sound[]={"\i44_sounds\environmental\wind_heavy.wss",1600*0.00478,1};
#define ENV_SOUNDS_COMBAT sound[]={"\i44_sounds\environmental\battle1.wss",1600*0.010000,1};
#define DESTROY_ENGINE_SOUND sound[]={"\i44_sounds\Explosions\fuel_explosion.wss",10.000000,1};
#define DESTROY_BUILDING_SOUND sound[]={"\i44_sounds\Explosions\BuildingHit.wss",10.000000,1};
#define MUSIC_LIST tracks[]={"Track1","Track2","Track3","Track4","Track5","Track6","Track7","Track8","Track9","Track10","Track11","Track12","Track13","Track14","Track15","Track16","Frost","7thOverdose","7thDecide","7thIAmGonaFly","7thLifeless"};
#define CFG_SOUNDS_LIST sounds[]={"Eng1","Eng2","Eng3","Eng4","Eng5","Eng6","Eng7","Eng8","Eng9","Eng10","Eng11","Eng12","Eng13","Eng14","Eng15","Eng16","Eng17","Eng18","Eng19","Eng20","Eng21","Eng22","Eng23","Eng24","Eng25","Eng26","Eng27","Eng28","Eng29","Eng30","Eng31","Eng32","Eng33","Eng34","Eng35","Eng36","Eng37","Eng38","Eng39","Eng40","Eng41","Rus1","Rus2","Rus3","Rus4","Rus5","Rus6","Rus7","Rus8","Rus9","Rus10","Rus11","Rus12","Rus13","Rus14","Rus15","Rus16","Rus17","Rus18","Rus19","Rus20","Alarm"};
#define ISLANDS_ABEL_RAIN_SOUNDS sound[]={"\i44_sounds\Environmental\Rain.wss",1600*0.001000,1};\
            soundNight[]={"\i44_sounds\Environmental\Rain.wss",1600*0.001000,1};
#define EFFECTS_THUNDERBOLT_SOUNDS soundNear[]={"Environmental\thundershort",10.227783,1};\
      soundFar[]={"Environmental\thunderlong",10.227783,1};
#define EFFECTS_THUNDERBOLT_HEAVY_SOUNDS soundNear[]={"Environmental\thunderhard",10.227783,1};\
      soundFar[]={"Environmental\thunder",10.227783,1};
#define FOUNTAIN_STREAM_SOUND sound[]={"Objects\stream",1600*0.000300,1.000000};
#define WHIZ_SOUND_LEVEL1 db 0
#define WHIZ_SOUND_LEVEL2 db-10
#define FIRE_SOUND_LEVEL db-30
#define FLY_SOUND_LEVEL db-50
#define GENERAL_SPEECH_SOUND_LEVEL db-40
#define GENERAL_SPEECH_SOUND_LEVEL2 db-10
#define GENERAL_SPEECH_SOUND_LEVEL3 db-30
#define GENERAL_SPEECH_SOUND_LEVEL4 db-35
#define GENERAL_SPEECH_SOUND_LEVEL5 db-20
#define GENERAL_SPEECH_SOUND_LEVEL6 db-10
#define CHANT_SOUND_LEVEL db-25